Link Channel Account
curl --request POST \
--url https://api.example.com/api/v1/pa/chat/link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "<string>",
"platform_user_id": "<string>",
"display_name": "<string>",
"team_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/pa/chat/link"
payload = {
"platform": "<string>",
"platform_user_id": "<string>",
"display_name": "<string>",
"team_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platform: '<string>',
platform_user_id: '<string>',
display_name: '<string>',
team_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/pa/chat/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"platform": "<string>",
"platform_user_id": "<string>",
"platform_display_name": "<string>",
"platform_team_id": "<string>",
"verified": true,
"linked_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}External Chat
Link Channel Account
Link a messaging platform identity to the current user.
POST
/
api
/
v1
/
pa
/
chat
/
link
Link Channel Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I